@echo off
rem ---------------------------------------------------------
rem SETUPNT.BAT : The 911 Windows 2000/XP Setup Assistant
rem http://www.911cd.net                              v1.1i
rem Copyright (c) PRESS LTD. 2002-2003. All rights reserved.
rem ---------------------------------------------------------

copy %ramdrv%\bin\unattend.txt %tmp%\unattend.txt > nul
if "%source%"=="" set source=%cddrv%\I386

:_cls
wbat cls
wbat text 0,0 @%0:btext_up
wbat text 23,2 @%0:btext_down
:_start
set wrb=2
call w box @%0:w_ntsetup
if errorlevel 100 goto _end
if errorlevel 3 goto _setup
if errorlevel 2 goto _config
if errorlevel 1 goto _morehelp

:_setup
dready %source%
if errorlevel 2 goto _err2
if not exist %source%\winnt.exe goto _err3
wbat cls (+white on black)
if "%wrb%"=="1" ini %tmp%\unattend.txt write Unattended UnattendMode ProvideDefault > nul
if "%wrb%"=="1" ini %tmp%\unattend.txt write Data AutoPartition 0 > nul
if "%wrb%"=="2" ini %tmp%\unattend.txt write Unattended UnattendMode FullUnattended > nul
if "%wrb%"=="2" ini %tmp%\unattend.txt write Data AutoPartition 1 > nul
%source%\winnt /s:%source% /u:%tmp%\unattend.txt
goto _end

:_config
set s_tmp=%wrb%
echo @echo off> %tmp%\_temp.bat
ini %tmp%\unattend.txt read UserData FullName | lmod set s_user=[$2]>> %tmp%\_temp.bat
ini %tmp%\unattend.txt read UserData OrgName | lmod set s_org=[$2]>> %tmp%\_temp.bat
ini %tmp%\unattend.txt read UserData ProductID | lmod set s_key=[$2]>> %tmp%\_temp.bat
ini %tmp%\unattend.txt read UserData ComputerName | lmod set s_mname=[$2]>> %tmp%\_temp.bat
ini %tmp%\unattend.txt read Identification JoinWorkgroup | lmod set s_wrkgrp=[$2]>> %tmp%\_temp.bat
ini %tmp%\unattend.txt read Identification JoinDomain | lmod set s_ntdom=[$2]>> %tmp%\_temp.bat
ini %tmp%\unattend.txt read Identification DomainAdmin | lmod set s_ntusr=[$2]>> %tmp%\_temp.bat
call %tmp%\_temp.bat
echo @echo off> %tmp%\_temp.bat
echo %s_key% | lmod set s_pk1=[1,5]>> %tmp%\_temp.bat
echo %s_key% | lmod set s_pk2=[7,5]>> %tmp%\_temp.bat
echo %s_key% | lmod set s_pk3=[13,5]>> %tmp%\_temp.bat
echo %s_key% | lmod set s_pk4=[19,5]>> %tmp%\_temp.bat
echo %s_key% | lmod set s_pk5=[25,5]>> %tmp%\_temp.bat
call %tmp%\_temp.bat
if "%s_wrkgrp%"=="" set wrb=2
if "%s_ntdom%"=="" set wrb=1
:_retry
call w box @%0:w_ntconfig
if errorlevel 100 goto _return
if not "%s_pass1%"=="%s_pass2%" wbat box "Admin Password does not match" Retry,Cancel
if not "%s_pass1%"=="%s_pass2%" if errorlevel 2 goto _return
if not "%s_pass1%"=="%s_pass2%" goto _retry
ini %tmp%\unattend.txt write UserData FullName {qt}%s_user%{qt} > nul
ini %tmp%\unattend.txt write UserData OrgName {qt}%s_org%{qt} > nul
ini %tmp%\unattend.txt write UserData ComputerName %s_mname% > nul
ini %tmp%\unattend.txt write UserData ProductID %s_pk1%-%s_pk2%-%s_pk3%-%s_pk4%-%s_pk5% > nul
if "%wrb%"=="1" ini %tmp%\unattend.txt write Identification JoinWorkgroup %s_wrkgrp% > nul
if "%wrb%"=="1" ini %tmp%\unattend.txt delete Identification JoinDomain > nul
if "%wrb%"=="1" ini %tmp%\unattend.txt delete Identification DomainAdmin > nul
if "%wrb%"=="1" ini %tmp%\unattend.txt delete Identification DomainAdminPassword > nul
if "%wrb%"=="2" ini %tmp%\unattend.txt write Identification JoinDomain %s_ntdom% > nul
if "%wrb%"=="2" ini %tmp%\unattend.txt write Identification DomainAdmin %s_ntusr% > nul
if "%wrb%"=="2" ini %tmp%\unattend.txt write Identification DomainAdminPassword %s_ntpass% > nul
if "%wrb%"=="2" ini %tmp%\unattend.txt write Identification EncryptedDomainAdminPassword No > nul
if "%wrb%"=="2" ini %tmp%\unattend.txt delete Identification JoinWorkgroup > nul
change %tmp%\unattend.txt "{qt}" 34 >nul
if "%s_pass1%"=="" goto _return
ini %tmp%\unattend.txt write GuiUnattended AdminPassword %s_pass1% > nul
ini %tmp%\unattend.txt write GuiUnattended EncryptedAdminPassword No > nul

:_return
set wrb=%s_tmp%
goto _start

:_morehelp
if not exist %ramdrv%\bin\morehelp.bat goto _moreerr
call morehelp sn %ramdrv%\bin\setupnt.bat
goto _cls

:_moreerr
wbat box "The MOREHELP viewer is unavailable" OK
goto _start
:_err2
wbat box "The Drive you Specified is Not Ready" Retry,Cancel
if errorlevel 2 goto _end
goto _setup
:_err3
wbat box "The Path you Specified doesn't Contain Windows SETUP Files" Retry,Cancel
if errorlevel 2 goto _end
goto _setup

:btext_up
# The 911 Windows 2000/XP Setup Assistant                                 v1.1  ^
::
:btext_down
 Created By AHMAD HISHAM                  Copyright (c) 1999-2004  PRESS LTD.
::
:w_ntsetup "911 Windows 2000/XP Setup Assistant" [X]

Location of Setup Files:              ~Automate the Windows  ~
 [$ SOURCE,99,U                    ]  ~2000/XP installation  ~
                                      ~while personalizing   ~
                                      ~each deployed machine.~
 [.] Run while providing Defaults     ~                      ~
                                      ~The Setup assistant   ~
 [.] Run in Fully Automated Mode      ~can run in fully      ~
                                      ~automated mode or can ~
                                      ~provide defaults for  ~
                                      ~all the Setup Prompts.~
                                      [    More Details    ]

 [ Con&figure ]  [ Start ]  [? Cancel ] 
::
:w_ntconfig "Windows 2000/XP Setup Options" [X]

Identification Info : 
Username       : [$ s_user,50                    ]
Organization   : [$ s_org,50                     ]

Product Key    : [$ s_pk1,5,U] - [$ s_pk2,5,U] - [$ s_pk3,5,U] - [$ s_pk4,5,U] - [$ s_pk5,5,U]

Machine Info : 
Machine name   : [$ s_mname,50,U]  (type * to Autogenerate)

Admin Password : [$ s_pass1,50,P]  Confirm [$ s_pass2,50,P]

Network Settings : 
[.] Workgroup  : [$ s_wrkgrp,50,U  ]

[.] Domain     : [$ s_ntdom,50,U   ]
                 Domain Admin Username : [$ s_ntusr,50,U  ]
                 Domain Admin Password : [$ s_ntpass,50,P ] 

                                      [   OK   ] [? Cancel ] 
::
:sn_title
 More Help on : 911 Windows 2000/XP Setup Assistant                        ^
::
:sn_text
The 911 windows 2000/XP Setup Assistant :

~Location of Setup Files~ --> Type the folder where the Windows 2000/XP
Setup files reside, its default location is ~\I386~; if you are using a
network share to hold the Windows Setup files, you need firsly to map this
share to a drive letter before you can use it, UNCs are not accepted.
~Run while providing Defaults~ --> Start the Setup while applying the best
defaults for installing Windows, this mode is nearly as the normal Setup
but the pre-filled options are optimized for most the installations, so
nearly all the user have to do is click "Next" multiple times. 
~Run in Fully Automated Mode~ --> Completely automates the Windows Setup,
uses the prefilled options to automatically complete the Windows Setup
without any user interaction.
~Configure~ --> Displays the ~Windows 2000/XP Setup Options~ window, which
provides a way to override the previously stored Windows Setup info, it
can also specify the Administrator password for the current installation.
:: 

:_end
set | tfind /f1,2 "S_" > %tmp%\_temp.tmp
type %tmp%\_temp.tmp | lmod /L* /B= set [$1]=> %tmp%\_temp.bat
call %tmp%\_temp.bat
del %tmp%\_temp.bat
del %tmp%\_temp.tmp
