@echo off
rem ---------------------------------------------------------
rem SETUPWIN.BAT : The 911 Windows Setup Assistant
rem http://www.911cd.net                              v2.3i
rem Copyright (c) PRESS LTD. 2002-2003. All rights reserved.
rem ---------------------------------------------------------

:_start
wbat cls
wbat text 0,0 @%0:btext_up
wbat text 23,2 @%0:btext_down
call os.bat
call w box @%0:w_winsetup
if errorlevel 100 goto _end
if errorlevel 1 set inf=def.inf
if errorlevel 2 set inf=auto.inf
if errorlevel 3 set inf=key.inf
if errorlevel 4 goto _morehelp
rem if %wrb%'==1' set inf=w98_%inf%.inf
rem if %wrb%'==2' set inf=wme_%inf%.inf
:_setup
dready %source%
if errorlevel 2 goto _err2
if not exist %source%\setup.exe goto _err3
wbat cls (+white on black)
%source%\setup %ramdrv%\bin\%inf% /is /ie /nr /nf /NTLDR
goto _end
:_morehelp
if not exist %ramdrv%\bin\morehelp.bat goto _moreerr
call morehelp sw %ramdrv%\bin\setupwin.bat
goto _start
:_moreerr
wbat box "The MOREHELP viewer is unavailable" OK
goto _start
:_err2
wbat box "The Drive you Specified is Not Ready" Retry,Cancel
if errorlevel 2 goto _end
goto _setup
:_err3
wbat box "The Path you Specified doesn't Contain Windows SETUP Files" Retry,Cancel
if errorlevel 2 goto _end
goto _setup

:w_winsetup "911 Windows Setup Assistant" [X]

Optimized for : %OSVersion%
                                      ~Uses the previously   ~
Location of Setup Files:              ~stored Product Key and~
 [$ SOURCE,99,U                    ]  ~predefined options to ~
                                      ~automate the Windows  ~
                                      ~98/Me Setup to        ~
 [Setup with Best &Defaults         ]  ~different degrees.    ~
                                      ~                      ~
 [Setup in &Hands-Free Mode         ]  ~                      ~
                                      ~                      ~
 [Setup with &Product Key Entered   ]  [    More Details    ]

 [? Cancel ] 
::
:sw_title
 More Help on : 911 Windows Setup Assistant                                ^
:sw_text
The 911 Setup Assistant :
~Optimized for~ --> Specifies the version of Windows the stored Product Key
is for, this is determined when the SetupWin module is created. 
~Location of Setup Files~ --> Type the folder where the Windows Setup
files reside, the location of the Windows Setup will be auto detected if
it is in one of the folders : ~C:\WINSETUP~ - ~C:\WINCABS~ - ~\WIN98SE~ - ~\WIN98~
~\CABS~ - ~\WINME~ - ~\WINDOWS~ - ~\WINSETUP~ - ~\WIN98\ENA~ - ~\WIN9X\ENA~. 
~Setup with Best Defaults~ --> Start the Setup while applying the best
defaults for installing Windows, this mode is nearly as the normal Setup
but the pre-filled options are optimized for most the installations, so
nearly all the user have to do is click "Next" multiple times. 
~Setup in Hands-Free Mode~ --> Uses the same defaults in the first option
but also clicks the "Next" button automatically for the user, so nearly
no interaction from the user is reqiured.
~Setup with Product Key Entered~ --> Uses the defaults but enters the
Product key and lets the user completes the Setup as usual. 
:: 
:btext_up
# The 911 Windows Setup Assistant                                         v2.3  ^
:btext_down
 Created By AHMAD HISHAM                  Copyright (c) 1999-2002  PRESS LTD.
:_end